window.addEventListener('load', function() {
    var debounce = 0;
    $('.ig-slider').each(function(index) {

        jQuery(this).on('init', function(event, slick) {
            jQuery(this).removeClass('ig-slider-onload');
            $('.ig-slider-slide', this).show()
        });
        settings = jQuery(this).data('settings');
        if (settings.prevArrow) {
            settings.prevArrow = settings.prevArrow;
        } else {
            settings.prevArrow = '<button class="slick-prev" type="button" aria-label="prev">'
                                    + '<span class="slick-prev-icon" aria-hidden="true"></span>'
                                    + '<span class="slick-sr-only">Previous</span>'
                                + '</button>';
        }
        if (settings.nextArrow) {
            settings.nextArrow = settings.nextArrow;
        } else {
            settings.nextArrow = '<button class="slick-next" type="button" aria-label="next">'
                                    + '<span class="slick-next-icon" aria-hidden="true"></span>'
                                    + '<span class="slick-sr-only">Next</span>'
                                 + '</button>';
        }
        // if (settings.appendDots) {
        //     settings.appendDots = eval(settings.appendDots);
        // } else {
        //     settings.appendDots = $(this).find(".dots"); // jQuery(this).data('appendDotsSelector')
        // }
        if (!settings.useArrows) {
            settings.appendArrows = null;
        }
        if (!settings.useDots) {
            settings.appendDots = null
        };
        if (settings.multiLayer) {
            debounce = debounce > settings.speed ? debounce : settings.speed;
        }
	var hash = window.location.hash.substr(1);
	if (settings.useHash && hash) {
		var slickIndex = $(".ig-slider-slide[data-hash='" + hash + "']").data('index');
		settings.initialSlide = slickIndex;
	} else if (settings.initialSlide == 'random') {
	    settings.initialSlide = Math.floor(Math.random() * jQuery(settings.slide, this).length);
        } else {
            //settings.initialSlide = eval(settings.initialSlide);
        }
        if (jQuery(this).data('shuffle') == 1) {
            jQuery(settings.slide, this).shuffle();
        }
        jQuery(this).slick(settings);
    });
    if ($('.layer-container').length > 0) {
        var blocked = false;
        $('.layer-container .layer-navigation > div').click(function(e) {
            e.stopPropagation();
            var direction = e.target.classList[0];
            if (blocked == false) {
                $('.layer-container .layer').find('.' + direction).click();
                blocked = true;
                setTimeout(function() {
                    blocked = false;
                }, debounce);
            }
        });
    }
    // start video + stop slider until video is done
    if ($('.ig-slider:not(.ig-slider-thumbs)').length > 0 && $('.ig-slider:not(.ig-slider-thumbs) video').length > 0) {
        $('.ig-slider:not(.ig-slider-thumbs)').on('afterChange', function() {
            var slider = this;
            var video = $(this).find('.slick-current video');
            var autoplayButton = $(this).find('.slick-autoplay-toggle-button');
            if (video.length > 0) {
                $(video).get(0).play();
                if (autoplayButton.length > 0) {
                    autoplayButton.click();
                } else {
                    $(this).slick('slickPause');
                }
                $(video).on('ended', function() {
                    if (autoplayButton.length > 0) {
                        autoplayButton.click();
                    } else {
                        $(slider).slick('slickPlay');
                    }
                });
            }
        });
    };
});
